> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar contas financeiras



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /contas-financeiras
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /contas-financeiras:
    get:
      tags:
        - Contas Financeiras
      summary: Listar contas financeiras
      operationId: ListarContasFinanceirasAction
      parameters:
        - $ref: '#/components/parameters/descricaoListarContasFinanceiras'
        - $ref: '#/components/parameters/situacaoContaContabil'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_contas_financeiras_limit'
        - $ref: '#/components/parameters/get_contas_financeiras_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/ListagemContasFinanceirasResponseModel
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    descricaoListarContasFinanceiras:
      name: descricao
      in: query
      description: Pesquisa pela descrição da conta financeira
      required: false
      schema:
        type: string
    situacaoContaContabil:
      name: situacao
      in: query
      description: |-
        Pesquisa por situacao
        - A - Ativa
        - I - Inativa
      required: false
      schema:
        enum:
          - A
          - I
      x-enumDescriptions:
        - A - Ativa
        - I - Inativa
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_contas_financeiras_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_contas_financeiras_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemContasFinanceirasResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        descricao:
          type: string
        situacao:
          description: |-

            - A - Ativa
            - I - Inativa
          type: string
          enum:
            - A
            - I
          x-enumDescriptions:
            - A - Ativa
            - I - Inativa
      type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````